Support » Plugin: MailPoet Newsletters (Previous) » I know accessibility isn’t enforced in the WordPress plugin repo, but come on.

  • I find myself in the position of having to use this plugin for one of my clients. Creating newsletters with this is literally the worst part of this job. This is one of the most inaccessible plugins I’ve ever come across, and that includes before wordPress core started focusing on accessibility. And it’s not like more than one person from the WordPress Accessibility Team hasn’t talked to you guys about this, including myself. TinyMCE is a perfectly usable editor, and custom fields are always an option, so why embed a completely different editor whose creators obviously don’t see accessibility as a priority instead of using the one that comes packaged with WordPress itself?

    I’m not going to give this plugin a one-star review, because my intent is not to screw with your ratings on the repo. But you guys have got to start working on the accessibility of this thing.

    Amanda

  • The topic ‘I know accessibility isn’t enforced in the WordPress plugin repo, but come on.’ is closed to new replies.